Bug 54808 - Problems with newest glibc RPM Errata
Problems with newest glibc RPM Errata
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-10-19 11:45 EDT by Olivier Benghozi
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-21 22:15:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Olivier Benghozi 2001-10-19 11:45:19 EDT
Just updated from glibc 2.2-12 (Errata RPM) to 2.2.4-18.7.0 (Newest Errata 
Some programs now coredump, like the last nmap (2.54b30), even if 
recompiled under this new glibc. Returned under old Errata RPM, recompiled 
nmap, it no longer coredumps.
Comment 1 Olivier Benghozi 2001-10-19 11:47:47 EDT
Just in case: IPV6 kernel module is loaded.
Comment 2 Jakub Jelinek 2001-10-19 12:08:39 EDT
You should never use IPv6 in 2.2 kernels. Either upgrade to 2.4 kernel,
or no IPv6. IPv6 is broken a lot in 2.2.
Or was this under 2.4 kernel?
Comment 3 Olivier Benghozi 2001-10-19 12:31:47 EDT
If I understand you, RedHat has done a mistake by including IPv6 tools in 
RedHat 7.0 with Kernel 2.2.x (traceroute6, ping6)...

Anyway, it is a 2.2.19 kernel; but nmap doesn't know about ipv6. So, are you 
sure that without ipv6 module loaded, nmap won't coredump with these glibc ?

Because this is a busy computer, and I would like to avoid rebooting if 
It doesn't use ipv6 actually, the module is loaded but cannot be unloaded 
without rebooting.
Comment 4 Olivier Benghozi 2001-10-19 19:43:20 EDT
... tested on another RH 7.0 WITHOUT ipv6: exactly the same thing.
Binary compiled and ran under new glibc: coredump.
Binary compiled and ran under previous glibc: ok.
Comment 5 Ulrich Drepper 2003-04-21 22:15:42 EDT
This bug is against a very old glibc version.  I doubt there is any point
keeping it open.  Support for this code is long gone and all new releases,e
specially RHL9, should have no such problem.

Note You need to log in before you can comment on or make changes to this bug.